Subject: [PATCH 06/11] services: base: Remove 'console-font-service' procedure.

From: Bruno Victal <[email-masked]>
Date: Mon, 27 Feb 2023 00:11:39 +0000

* gnu/services/base.scm (console-font-service): Remove procedure.
---
 gnu/services/base.scm | 8 --------
 1 file changed, 8 deletions(-)

diff --git a/gnu/services/base.scm b/gnu/services/base.scm
index b83e778856..483a4ccd05 100644
--- a/gnu/services/base.scm
+++ b/gnu/services/base.scm
@@ -880,14 +880,6 @@ (define console-font-service-type
                  \"/share/consolefonts/ter-132n\"))) ; for HDPI
 @end example\n")))
 
-(define* (console-font-service tty #:optional (font "LatGrkCyr-8x16"))
-  "This procedure is deprecated in favor of @code{console-font-service-type}.
-
-Return a service that sets up Unicode support in @var{tty} and loads
-@var{font} for that tty (fonts are per virtual console in Linux.)"
-  (simple-service (symbol-append 'console-font- (string->symbol tty))
-                  console-font-service-type `((,tty . ,font))))
-
 (define %default-motd
   (plain-file "motd" "This is the GNU operating system, welcome!\n\n"))
 
-- 
2.39.1